Problems installing software from Fantastico

jmeonli

Registered
Apr 16, 2009
2
0
51
I can't install any software from Fantastico, it stated:

"The installation can not be completed:

- You cannot install more than one script in the root directory of a domain."

How do I fix this error?

Regards
 

sirotex

Well-Known Member
Jul 10, 2008
121
0
66
That isnt an error, it's stating you can't install more than one script in your main directory, if you want to install something else, remove what you have installed or make it www/namehere
 

tuxicans

Active Member
Oct 16, 2008
38
0
56
Go to ".fantasticodata" in your home folder and delete installed_in_root.php file there. Though in most of the cases you might be able to install the intended fantastico applcation it is recommanded that you remove all application related from your home folder manually.

I don't think fantastico will clear the al installation files of the old application from your current location.
 

jmeonli

Registered
Apr 16, 2009
2
0
51
I try to remove it manually but still there is a problem...this time it states

"The installation can not be completed:

- You chose to install in the main directory of the domain cleenfirst.com.sg, but there are conflicting filenames, therefore we can not proceed. Following filenames already exist in the main directory of the domain cleenfirst.com.sg (path="/home/cfspl/public_html/").You must manually remove these files before proceeding with auto-installation:
images"

how do i remove this?

Thanks
 

tuxicans

Active Member
Oct 16, 2008
38
0
56
Take the backup of the ".fantasticodata" folder. Clear the contents of public_html keeping only cgi_bin .htaccess and other required files such as related frontpage but all others that are related to the 3rd party application installed under public_html earlier through fantastico. Keeping the backup f public_html as well is highly recommanded.

And then try installing the application again.
 

crazyaboutlinux

Well-Known Member
Nov 3, 2007
939
1
66
i just want to make sure that Fantastico is running on latest version via backend how can i ?

if you guy's know let me know that

also let me know if it is running an older version how can i make it latest
 

Infopro

Well-Known Member
May 20, 2003
17,090
516
613
Pennsylvania
cPanel Access Level
Root Administrator
Twitter
i just want to make sure that Fantastico is running on latest version via backend how can i ?

if you guy's know let me know that

also let me know if it is running an older version how can i make it latest
Open the page in WHM, it should state there whether you're runnig the latest or not. And you can set it up there to notify you by email every night.

Example email:

Server: (11.22.33.44.55)

Date/Time: April 22nd, 2009 @ 8:55 PM

Fantastico De Luxe core files update
No newer Fantastico version available.

Fantastico De Luxe master files update
No newer master files available.

Update complete
 

crazyaboutlinux

Well-Known Member
Nov 3, 2007
939
1
66
Hi Infopro,

i have 2 dedicated servers both of have installed fantastico

And one of them i am able to know fantastico's version & upgrade to latest

but the second server there is such a no option to check software version & upgrade to latest

i have attached here jpg files of both servers for your further reference.

please check & guide me what is wrong
 

Infopro

Well-Known Member
May 20, 2003
17,090
516
613
Pennsylvania
cPanel Access Level
Root Administrator
Twitter
Looks like the one has not been fully updated or completed its tasks yet. The security cleanup is waiting to be ran.

Any question you can think of about Fantastico has probably been answered on the Fantastico forums. You should check there when you have an issue with that software. ;)
 

crazyaboutlinux

Well-Known Member
Nov 3, 2007
939
1
66
Looks like the one has not been fully updated or completed its tasks yet. The security cleanup is waiting to be ran.

Any question you can think of about Fantastico has probably been answered on the Fantastico forums. You should check there when you have an issue with that software. ;)
thanks for suggestion but please clarify which one is not updated ?